.page-title {
    color: white;
    height: 100%;
    background: var(--main-dark-blue);
    padding: 8rem 0 0 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.page-title h1 {
    font-size: 4rem;
}

.featured-events {
    display: block;
    padding: 1rem 0 5rem;
    box-sizing: border-box;
    width: 100%;
}

.container {
    padding-right: 2rem;
    padding-left: 2rem;
    width: 100%;
}

.month-header {
    display: flex;
    align-items: center;
    gap: 2rem;
    color: var(--main-yellow);
    letter-spacing: 0.75rem;
    padding: 3rem 0 1rem 1rem;
    margin: 0;
}

.month-header h1 {
    font-weight: 400;
    margin: 0;
}

.month-divider {
    width: 100%; 
    border: 1px solid var(--main-yellow);
}

.row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
    height: 40rem;
}

.grid {
    display: grid;
    gap: 3rem 2rem;
    width: 100%;
    grid-template-columns: repeat(auto-fit, minmax(290px, 1fr));
}

.card-container {
    position: relative;
    width: 100%;
    height: 40rem;
    overflow: hidden;
    display: flex;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.card-container:hover h3 {
    color: var(--main-light-blue);
}

.card-container:hover img {
    transform: scale(1.05);
}

.event-card {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.img-container {
    overflow: hidden;
    height: 50%;
}

.img-container img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    transition: 0.5s all;
}

.card-content {
    height: 50%;
    padding: 0 2rem 0 2rem;
    overflow: hidden;
}

.event-title-time {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.event-title-time h3 {
    font-size: 1.7rem;
    color: var(--main-dark-blue);
    margin: 1rem 0 0 0;
    padding: 0;
    transition: 0.25s color;
}

.event-title-time p {
    margin: 0;
    padding: 0;
}

.event-title-time a {
    color: inherit;
}

.event-title-time a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 50%;
}

.event-description {
    max-height: 53%;
    overflow: scroll;
}

/*
.event-description {
    max-height: 60%;
    overflow: scroll;
}
*/

@media screen and (max-width: 660px) {
    .grid {
        grid-template-columns: repeat(auto-fit, minmax(225px, 1fr));
    }
}

@media screen and (max-width: 636px) {
    .card-container {
        max-height: 32rem;
    }

    .img-container {
        height: 65%;
    }

    .card-content {
        height: 35%;
    }

    .event-title-time p {
        font-size: 1.1rem;
    }

    .event-description {
        display: none;
    }
}

@media screen and (max-width: 525px) {
    .img-container {
        height: 70%;
    }

    .card-content {
        height: 30%;
    }
}

@media screen and (max-width: 450px) {
    .month-header {
        justify-content: center;
    }

    .month-header h1 {
        font-size: 2.25rem;
        text-align: center;
    }

    .month-divider {
        display: none;
    }
}

@media screen and (max-width: 350px) {
    .container {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .grid {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }
}